package com.wms.constants.enums;

import lombok.Getter;

@Getter
public enum StockUpdateReasonEnum {
    UPDATE_CLIENT("界面修改库存"),
    DELETE_CLIENT("界面删除库存"),
    ADD_CLIENT("界面增加库存"),
    UPDATE_IN("入库更新库存"),
    ADD_IN("入库增加库存"),
    FULL_OUT("整出"),
    KITTING_UPDATE("备料拣选更新"),
    CONFIRM_UPDATE("站台确认更新"),
    CONFIRM_DELETE("站台处理箱料错误"),
    CLC_NO_PLAN_UPDATE("直接物料非计划领料回库更新");

    StockUpdateReasonEnum(String reason) {
        this.reason = reason;
    }

    private final String reason;
}
